# netapp_e_hostgroup – NetApp E-Series manage array host groups

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Create, update or destroy host groups on a NetApp E-Series storage array.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_password string / required |  | The password to authenticate with the SANtricity Web Services Proxy or Embedded Web Services API.
api_url string / required |  | The url to the SANtricity Web Services Proxy or Embedded Web Services API. Example https://prod-1.wahoo.acme.com/devmgr/v2
api_username string / required |  | The username to authenticate with the SANtricity Web Services Proxy or Embedded Web Services API.
hosts - |  | List of host names/labels to add to the group
id - |  | Host reference identifier for the host group to manage. This option is mutually exclusive with name.
name - |  | Name of the host group to manage This option is mutually exclusive with id.
new_name - |  | Specify this when you need to update the name of a host group
ssid string | Default: 1 | The ID of the array to manage. This value must be unique for each array.

state
- / required

Choices:
- present
- absent

Whether the specified host group should exist or not.

validate_certs
boolean

Choices:
- no
- yes ←

Should https certificates be validated?

## Notes

Note

- The E-Series Ansible modules require either an instance of the Web Services Proxy (WSP), to be available to manage the storage-system, or an E-Series storage-system that supports the Embedded Web Services API.
- Embedded Web Services is currently available on the E2800, E5700, EF570, and newer hardware models.
- netapp_e_storage_system may be utilized for configuring the systems managed by a WSP instance.

## Examples

    - name: Configure Hostgroup
      netapp_e_hostgroup:
        ssid: "{{ ssid }}"
        api_url: "{{ netapp_api_url }}"
        api_username: "{{ netapp_api_username }}"
        api_password: "{{ netapp_api_password }}"
        validate_certs: "{{ netapp_api_validate_certs }}"
        state: present

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
clusterRef string | always except when state is absent | The unique identification value for this object. Other objects may use this reference value to refer to the cluster. Sample: 3233343536373839303132333100000000000000
confirmLUNMappingCreation boolean | always | If true, indicates that creation of LUN-to-volume mappings should require careful confirmation from the end-user, since such a mapping will alter the volume access rights of other clusters, in addition to this one.
hosts list | always except when state is absent | A list of the hosts that are part of the host group after all operations. Sample: ['HostA', 'HostB']
id string | always except when state is absent | The id number of the hostgroup Sample: 3233343536373839303132333100000000000000
isSAControlled boolean | always except when state is absent | If true, indicates that I/O accesses from this cluster are subject to the storage array's default LUN-to-volume mappings. If false, indicates that I/O accesses from the cluster are subject to cluster-specific LUN-to-volume mappings.
label string | always | The user-assigned, descriptive label string for the cluster. Sample: MyHostGroup
name string | always except when state is absent | same as label Sample: MyHostGroup
protectionInformationCapableAccessMethod boolean | always except when state is absent | This field is true if the host has a PI capable access method. Sample: True

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Kevin Hulquest (@hulquest)
- Nathan Swartz (@ndswartz)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.